%define section devel

Summary:        Report-generating tool
Name:           jasperreports
Version:        1.0.2
Release:        1jpp
Epoch:          0
License:        Apache-style Software License & LGPL
URL:            http://jasperreports.sourceforge.net/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        %{name}-%{version}-project.zip
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  java-devel >= 0:1.4
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, junit
BuildRequires:  itext
BuildRequires:  jakarta-commons-beanutils 
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-poi
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:	xalan-j2
BuildRequires:	eclipse-jdt >= 0:3.0.1
Requires:  	java >= 0:1.4
Requires:  	itext
Requires:  	jakarta-commons-beanutils
Requires:  	jakarta-commons-collections
Requires:  	jakarta-commons-digester
Requires:  	jakarta-commons-logging
Requires:  	jakarta-poi
Requires:  	xerces-j2
Requires:  	xml-commons-apis
Requires:	xalan-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JasperReports is a powerful open source 
report-generating tool that has the ability 
to deliver rich content onto the screen, to 
the printer or into PDF, HTML, XLS, CSV and 
XML files. It is entirely written in Java 
and can be used in a variety of Java enabled 
applications, including J2EE or Web 
Its main purpose is to help creating page 
oriented, ready to print documents in a 
simple and flexible manner. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%package demo
Summary:        Samples for %{name}
Group:          Development/Documentation

%description demo
%{summary}.

%prep
%setup -T -c -n %{name}-%{version}
cd ..
unzip -q %{SOURCE0}
cd %{name}-%{version}
#find . -name "*.class" -exec rm {} \;
#find . -name "*.jar" -exec rm {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
bsh \
commons-beanutils \
commons-collections \
commons-digester \
commons-logging \
hsqldb \
itext \
jcommon \
jfreechart \
poi \
servletapi4 \
xerces-j2 \
xml-commons-apis \
xalan-j2 \
)
CLASSPATH=$CLASSPATH:$(find /usr/share/eclipse/plugins -name jdtcore.jar)
ant -Dbuild.sysclasspath=first jar docs

cat > demo/samples/webapp/applets/PUT.jasperreports-applet.jar.HERE.txt << EOT
Copy or symlink the jasperreports-applet-1.0.0.jar to this location.
EOT

cat > demo/samples/webapp/WEB-INF/lib/PUT.required.jars.HERE.txt << EOT
Copy or symlink the bsh.jar to this location.
Copy or symlink the commons-beanutils.jar to this location.
Copy or symlink the commons-collections.jar to this location.
Copy or symlink the commons-digester.jar to this location.
Copy or symlink the commons-logging.jar to this location.
Copy or symlink the itext.jar to this location.
Copy or symlink the jasperreports-1.0.0.jar to this location.
EOT

cat > demo/samples/jcharts/GET.jCharts-0.6.0.jar.HERE.txt << EOT
Get and copy or symlink jCharts-0.6.0.jar to this location.
EOT

cat > demo/samples/jfreechart/PUT.jfreechart.jar.HERE.txt << EOT
Copy or symlink the jfreechart.jar (from jfreechart-0.9.21-1jpp) to this location.
Copy or symlink the jcommon.jar (from jcommon-0.9.7-1jpp) to this location.
EOT


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p dist/%{name}-%{version}-applet.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-applet-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf docs/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p lgpl.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr demo/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/lgpl.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%doc %{_datadir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Tue Sep 20 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.2-1jpp
- Upgrade to 1.0.2

* Tue Sep 20 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0.0-1jpp
- Upgrade to 1.0.0
- Relax some versioned dependencies

* Wed Feb 16 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.6.4-1jpp
- Upgrade to 0.6.4 (thx to Joe Wortmann)

* Tue Dec 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.6.2-1jpp
- Upgrade to 0.6.2

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.5.2-3jpp
- Rebuild with ant-1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:0.5.2-2jpp
- Upgrade to Ant 1.6.X

* Fri Feb 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.5.2-1jpp
- First JPackage release
